Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161409 - Yum has problems thru old squid proxy
Summary: Yum has problems thru old squid proxy
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-23 04:00 UTC by david avery
Modified: 2014-01-21 22:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-21 19:28:46 UTC


Attachments (Terms of Use)
log of yum transaction (deleted)
2005-06-23 04:00 UTC, david avery
no flags Details

Description david avery 2005-06-23 04:00:14 UTC
Description of problem:
yum has problems when used thru a Squid 2.2STABLE5 proxy ( sidewinder 5.1 firewall)

Version-Release number of selected component (if applicable):
Yum 2.3.2 ( FC4 base)

How reproducible:
use yum thru a old squid proxy 

Steps to Reproduce:
1.
2.
3.
  
Actual results:
yum fails after every http transaction and falls over to next mirror

finally falling off end of mirror list

Expected results:
yum should deal with proxy that can't do byte range ( only a guess)

Additional info:

see attachment

Comment 1 david avery 2005-06-23 04:00:16 UTC
Created attachment 115851 [details]
log of yum transaction

Comment 2 Seth Vidal 2005-06-23 04:25:59 UTC
yum requires the byte-range functionality of http 1.1.

If a proxy can't do it then we're more or less stuck.


Comment 3 Jeremy Katz 2005-09-21 19:28:46 UTC
At this point, byte ranges are required.  This requirement may disappear in the
future, but in general, it's going to be helpful for doing other things (think:
installing from ISOs that are stored on an HTTP server :)


Note You need to log in before you can comment on or make changes to this bug.